%define qtdir %_libdir/qt3

Name: mysqlnavigator
Version: 1.4.2
Release: alt4

Group:	Databases
Summary: MySQL Navigator is MySQL database server GUI client program.
URL: http://sql.kldp.org/mysql
License: GPL

Source0: %name-%version.tar.bz2
Source1: %name.png
Source2: mysqlnavigator_ru.ts

Patch0:  %name-mysql4-api.patch
Patch1: mysqlnavigator-1.4.2-translator_path.patch
Patch2: fix_compile.patch

# Automatically added by buildreq on Fri Apr 02 2004 (-bi)
#BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ libMySQL-devel libqt3-devel libstdc++-devel
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++
BuildRequires: libMySQL-devel libqt3-devel libstdc++-devel
BuildRequires: libqt3-devel-cxx = %__gcc_version_base

%description
The purpose of MySQL Navigator is to provide a useful client interface 
to MySQL database servers, whilst supporting multiple operating systems 
and languages. You can currently import/export database, enter queries, 
get result sets, edit scripts, run scripts, add, alter, and delete users, 
and retrieve client and server information.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%add_optflags %optflags_shared
export CFLAGS="%optflags" CXXFLAGS="%optflags"
%configure \
    --enable-static=no \
    --with-pic \
    --with-qt=%qtdir \
    --with-mysql-libraries=/usr/lib/mysql \
    --with-mysql-includes=/usr/include/mysql

%make_build CFLAGS="%optflags" CXXFLAGS="%optflags"

%install
%makeinstall 

# icons
%__mkdir_p %buildroot/%_iconsdir
%__cp %SOURCE1 %buildroot/%_iconsdir/%name.png

# copy man files
%__mkdir_p %buildroot/%_man1dir
%__cp man/* %buildroot/%_man1dir

#menu
%__mkdir_p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%name): \
command="%name" \
title="MySQL Navigator" \
longtitle="MySQL database server client program" \
needs="x11" \
icon="%name.png" \
section="Applications/Databases"
EOF

mkdir -p %buildroot/%_datadir/mysqlnavigator
install -m 0644 %SOURCE2 %buildroot/%_datadir/mysqlnavigator/mysqlnavigator_ru.ts
%qtdir/bin/lrelease %buildroot/%_datadir/mysqlnavigator/mysqlnavigator_ru.ts
rm -f %buildroot/%_datadir/mysqlnavigator/mysqlnavigator_ru.ts

#%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files
%doc README INSTALL COPYING AUTHORS ChangeLog NEWS
%doc doc
%_bindir/*
%dir %_datadir/mysqlnavigator
%_datadir/mysqlnavigator/*.qm
%_menudir/%name
#%_libdir/*.a
#%_libdir/*.la
#%_libdir/*.so
#%_libdir/*.so.*
%_iconsdir/*
%_man1dir/*

%changelog
* Fri Apr 02 2004 Alexey Gladkov <legion@altlinux.ru> 1.4.2-alt4
- rebuild

* Fri Apr 02 2004 Sergey V Turchin <zerg at altlinux dot org> 1.4.2-alt3.1
- add patch for translator path
- add Russian translation by Valia V. Vaneeva <fattie@altlinux>
- cleanup spec
- fix compile
- fix compiler flags

* Fri Feb 27 2004 Alexey Gladkov <legion@altlinux.ru> 1.4.2-alt3
- MySQL 4x API patch;
- Manual and man pages added;

* Tue Sep 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.4.2-alt2
- new buildrequires and rebuilding in hasher

* Wed Mar 12 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.4.2-alt1
- new version (1.4.2)

* Sun Jan 26 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.4.1-alt3
- remove serial
- new requires and buildrequires

* Tue Nov 26 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 2:1.4.1-alt2
- New menu
- Compaling in objprelink

* Tue Oct 22 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.4.1-alt1
- 1.4.1

- specfile cleanup

